**LICENSE**

# Brakeman Public Use License

Synopsys, Inc. is willing to authorize use of the Software pursuant to the terms and conditions of this License by Licensee only upon the condition that Licensee accepts that the Agreement governs Licensee's use of the Software. By accepting this Agreement or installing or using the Software (directly or through the actions of an authorized representative), Licensee confirms its acceptance of the License and the Agreement and its agreement to comply with the License terms.

The Brakeman software (the "***Software***") is licensed for use by third parties according to the terms and conditions set forth in this license agreement (the "***Agreement***"). The copyright to the Software and this license agreement is owned by Synopsys, Inc. and its global affiliates ("***Synopsys***").

**Copyright 2019 Synopsys, Inc. All rights not granted in this Agreement are expressly reserved.**

Commercial Uses (as defined below) of the Software for commercial purposes require a commercial, non-free license. Otherwise, the Software may be used by the party that has downloaded the Software and accepted the terms of this Agreement without charge.

## 1. Definitions

1.1 "***License***" means this Agreement.

1.2 "***Licensee***" means you, the end user of the Software.

1.3 "***Contributor***" means each individual or legal entity that creates, contributes to the creation of, or owns the Software.

1.4 "***Contribution***" means the creation of and/or contribution to the development of the Software

1.5 "***Software***" has the meaning set forth in the recital to this Agreement.

## 2. Commercial Uses

A "***Commercial Use***" of the Software is one intended for commercial advantage or monetary compensation.

Examples of Commercial Uses include (but are not limited to):

* Using the Software to provide commercial managed/Software-as-a-Service services.
* Distributing the Software as a commercial product or as part of one.
* Using the Software as a component of a value-added service/product.

Example of uses that are not Commercial Uses, and are subject to the terms of this License, include (but are not limited to):

* Using the Software to analyze Licensee's software.
* Any non-commercial use of the Software.

To purchase a license to the Software for Commercial Use, or if Licensee is unsure whether it needs to purchase a Commercial Use license, contact Synopsys at \[sig-sales-ww@synopsys.com\].
Synopsys may grant commercial licenses at no monetary cost at its own discretion if the commercial usage is deemed by Synopsys to significantly benefit the development of the Software.

## 3. License Grant

Synopsys grants Licensee a nonexclusive, nontransferable (except as permitted in this Agreement), limited license to use and modify the Software, subject to the terms and conditions stated in this Agreement, only for the purpose of non-Commercial Use and not for any other purpose. Licensee may make copies of the Software to the extent reasonably necessary to exercise the License granted in this Agreement.

As a condition to the grant of the foregoing License, Licensee agrees not to do or undertake to do the following:

* Use the Software for any Commercial Use;

* Remove or modify any trademarks or any copyright notice in the Software; or

* Assign the License or the Agreement, or distribute, give, or transfer the Software to any third party, except as expressly permitted in this Agreement.

All rights not expressly granted in this Agreement are reserved by Synopsys. Synopsys or its licensors retain all ownership and intellectual property rights to the Software.

## 4. Redistribution

Redistribution is permitted solely under the following conditions:

* A copy of this License, without modification, is provided with the Software.
* All Copyright notices to the Software and this Agreement are provided with the Software.
* Redistribution and subsequent use does not conflict with the Commercial Uses clause above.

## 4. Copying

Copying of the Software is permitted so long as it does not conflict with the Redistribution and Commercial Uses clauses.

## 5. Modification

Modification of the Software is permitted so long as it does not conflict with the Redistribution clause.

## 6. Contributions

All right, title, and interest in any Contributions to the Software are hereby assigned to Synopsys, effective upon the date of creation of any such Contribution. Synopsys shall have the unlimited, exclusive right to reuse, modify and relicense any Contributions.

## 7. Support

The Software is provided under an AS-IS basis and without any support, updates or maintenance. Updates to the Software may be provided by Synopsys at its the sole discretion.

## 8. Disclaimer of Warranty

The Software is provided under this License on an "as is" basis, without warranty of any kind, either expressed, implied, or statutory, including, without limitation, warranties that the Software is free of defects, merchantable, fit for a particular purpose or non-infringing.

## 9. Disclaimer of Liability

To the extent permitted under law, the Software is provided under an AS-IS basis. Synopsys shall never be liable for any damage (including without limitation indirect, incidental, special, punitive or consequential damage, or damage for loss of profits, revenue, data, of data use), cost, expense or any other payment incurred as a result of Licensee's use of the Software for any purpose, even if Synopsys has been advised of the possibility of such damages and regardless of whether the action for such damage arises in contract or tort. The entire liability of Synopsys under the Agreement shall not exceed one hundred dollars (USD $100).

## 10. Trademark

"Synopsys" is a registered trademark of Synopsys, Inc. All rights are reserved to Synopsys, Inc. This Agreement does not grant the use of the trademark or the use of the Synopsys logo to you for any purpose.

## 11. Export Controls

Export laws and regulations of the United States and any other relevant local export laws and regulations apply to the Software. Licensee agrees that United States export control laws govern the use of the Software (including any corresponding documentation).  Licensee also agrees to comply with all United States export laws and regulations (including "deemed export" and "deemed re-export" regulations). Licensee agrees that no results of analysis created or derived from the use of the Software will be exported, directly or indirectly, in violation of these laws, or will be used for any purpose prohibited by these laws including, without limitation, nuclear, chemical, or biological weapons proliferation, or development of missile technologies. 

Licensee confirms and agrees:

* Licensee will not download, provide, make available or otherwise export or re-export the Software, directly or indirectly, to countries prohibited by applicable laws and regulations nor to citizens, nationals or residents of those countries.
* Licensee is not listed on the United States Department of Treasury lists of Specially Designated Nationals and Blocked Persons, Specially Designated Terrorists, and Specially Designated Narcotic Traffickers, nor is Licensee listed on the United States Department of Commerce Table of Denial Orders.
* Licensee will not export or re-export the Software, directly or indirectly, to persons on the above mentioned lists.
* Licensee will not use or allow the Software to be used for, any purposes prohibited by applicable law, including, without limitation, for the development, design, manufacture or production of nuclear, chemical or biological weapons of mass destruction.

## 12. Relationship Between the Parties

Licensee is an independent contractor and hereby agrees that no partnership, joint venture, or agency relationship exists between Licensee and Synopsys.

## 13. Entire Agreement; Governing Law

The Agreement is the complete agreement for the Software. The Agreement supersedes all prior or contemporaneous agreements or representations, including any license agreements for prior versions of the Software.

This Agreement may not be modified and the rights and restrictions may not be altered or waived except in a writing signed by authorized representatives of the parties.  If any term of the License or the Agreement is found to be invalid or unenforceable, the remaining provisions will remain effective.

The Agreement is governed by California law.  The parties agree to submit to the exclusive jurisdiction of, and venue in, the courts of Santa Clara county, California with respect to any action arising out of or relating to the License or the Agreement.

## 14. Notices

Any questions concerning the License and/or the Agreement and any notices to Synopsys under this agreement shall be directed to:

  Synopsys, Inc.  
  800 E. Middlefield Road  
  Mountain View, CA 94045


End of Agreement
